[uClinux-dev] Problems compiling m68k-elf toolchain

patrick tendim at tendim.cjb.net
Fri Mar 14 01:04:10 EST 2003


On Fri, 14 Mar 2003, David McCullough wrote:

> I have only seen this error when using the latest uClibc from CVS.  If
> you are using the uClibc.tar that is included with the m68k-elf-tools
> you should not see this error.

Nope, that was the uClibc.tar I was using.  However, I was using the
latest 2.0.x from CVS.

When I tried using the CVS uClibc received Makefile errors.

> Make sure you modify the build-uclinux-tools.sh to use the uClibc from
> that tarball included with the tools.

Yup, did that.  I actually just untared the archive into the directory.  I
also made symlinks for the kernel and elf2flt.

> I am just about done on a new script/tools release,  you might like to
> hold off a day or so for that if you can,

This would be great.  Would it be off of the latest CVS stuff?  Will the
script be put in CVS?

I am currently trying to compile with a 2.4.x kernel instead, I'll let the
list know if that works properly.  It is currently in Stage 4 with no
problems yet.

patrick at tendim.cjb.net
"It's simple, overspecialize and you breed in weakness."
 --Ghost in the Shell





More information about the uClinux-dev mailing list